/**
 * <p>
 * This package contains specific sub-classes that make it easier to define and create cursors
 * that work with maps instead of user-defined object classes.
 * </p>
 * The workflow is almost identical as the regular workflow in pacakge org.pulloid:<ol>
 * <li>Create a {@link org.pulloid.maps.RootContext4Maps}.</li>
 * <li>Use {@link org.pulloid.maps.ElementContext4Maps#selectElement(String)} to navigate down to the XML element that represents an entry in the cursor.</li>
 * <li>Create a {@linkplain org.pulloid.maps.CursorDef4Maps cursor definition} by calling {@link org.pulloid.maps.ElementContext4Maps#defineCursor()} (that's actually the most notable difference apart from the different class names).</li>
 * <li>Map child XML elements and/or attributes to the Java class fields using the various methods in {@link org.pulloid.maps.ElementContext4Maps} (when holding a reference to the {@link org.pulloid.maps.CursorDef4Maps} instance, it is possible to get a reference to the {@link org.pulloid.ElementContext} instance by calling {@link org.pulloid.CursorDef#getContext()}).</li>
 * <li>Call {@link org.pulloid.maps.CursorDef4Maps#pull(java.io.InputStream)} (or the one with a {@link Reader}) to create a parser on an XML stream (note: a cursor definition can be reused multiple times).</li>
 * </ol>
 */
package org.pulloid.maps;

